package models

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ TaskAiModelartsModel = (*customTaskAiModelartsModel)(nil)

type (
	// TaskAiModelartsModel is an interface to be customized, add more methods here,
	// and implement the added methods in customTaskAiModelartsModel.
	TaskAiModelartsModel interface {
		taskAiModelartsModel
		withSession(session sqlx.Session) TaskAiModelartsModel
	}

	customTaskAiModelartsModel struct {
		*defaultTaskAiModelartsModel
	}
)

// NewTaskAiModelartsModel returns a model for the database table.
func NewTaskAiModelartsModel(conn sqlx.SqlConn) TaskAiModelartsModel {
	return &customTaskAiModelartsModel{
		defaultTaskAiModelartsModel: newTaskAiModelartsModel(conn),
	}
}

func (m *customTaskAiModelartsModel) withSession(session sqlx.Session) TaskAiModelartsModel {
	return NewTaskAiModelartsModel(sqlx.NewSqlConnFromSession(session))
}
